Home Download Buy Blog Forum Support

Installing ST2 on CentOS 5??

Installing ST2 on CentOS 5??

Postby gcaplan on Fri Feb 03, 2012 9:18 pm

Hi

Love ST2 but if I'm going to purchase I have to get it working on CentOS 5.

It would help if the author took 5 minutes out to write a README file but he seems to think his customers prefer to proceed blind :evil:

Tried running ./sublime_text but got the error "/sublime_text: error while loading shared libraries: libgio-2.0.so.0"
I'm subscribed to 10 repos but not found in any version. Seems to be an ancient version but locate it in an obscure 3rd party RHEL library and stick it in my path.

Still the same error. So now what? Others have reported a similar issue but not been answered.

I realise that this is a beta but he's charging for it - surely he shouldn't be releasing it in this state?

If I can get some helpful support I'll be switching, otherwise I'll have to drop the idea and go back to VIM. Diagnostics:

[root@xt]/opt/sublime_text_2# ldd ./sublime_text
./sublime_text: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.11' not found (required by ./sublime_text)
./sublime_text: /usr/lib/libstdc++.so.6: version `GLIBCXX_3.4.9' not found (required by ./sublime_text)
./sublime_text: /lib/i686/nosegneg/libc.so.6: version `GLIBC_2.11' not found (required by ./sublime_text)
linux-gate.so.1 => (0x00621000)
libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x05c10000)
libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00359000)
libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x004f1000)
libgio-2.0.so.0 => not found
libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x05be1000)
libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x004e6000)
libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x004a3000)
libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00429000)
libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00b21000)
libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x003e8000)
libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x008b3000)
libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00963000)
libgobject-2.0.so.0 => /lib/libgobject-2.0.so.0 (0x00b8e000)
libgmodule-2.0.so.0 => /lib/libgmodule-2.0.so.0 (0x00c34000)
libgthread-2.0.so.0 => /lib/libgthread-2.0.so.0 (0x00df9000)
librt.so.1 => /lib/i686/nosegneg/librt.so.1 (0x00821000)
libglib-2.0.so.0 => /lib/libglib-2.0.so.0 (0x00994000)
libpthread.so.0 => /lib/i686/nosegneg/libpthread.so.0 (0x006e3000)
libdl.so.2 => /lib/libdl.so.2 (0x006b1000)
libutil.so.1 => /lib/libutil.so.1 (0x0050f000)
libm.so.6 => /lib/i686/nosegneg/libm.so.6 (0x006b8000)
libX11.so.6 => /usr/lib/libX11.so.6 (0x0071c000)
libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00a34000)
libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00893000)
libc.so.6 => /lib/i686/nosegneg/libc.so.6 (0x00110000)
libXext.so.6 => /usr/lib/libXext.so.6 (0x008a1000)
libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00958000)
libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00b62000)
libXi.so.6 => /usr/lib/libXi.so.6 (0x00499000)
libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00b5c000)
libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00b49000)
libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00b55000)
libz.so.1 => /lib/libz.so.1 (0x006ff000)
libexpat.so.0 => /lib/libexpat.so.0 (0x00935000)
/lib/ld-linux.so.2 (0x00534000)
libXau.so.6 => /usr/lib/libXau.so.6 (0x0082c000)
libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00714000)
gcaplan
 
Posts: 2
Joined: Fri Feb 03, 2012 8:58 pm

Re: Installing ST2 on CentOS 5??

Postby jps on Sun Feb 05, 2012 5:47 am

CentOS 5 / RHEL 5 are too old, and not supported.

Specifically, the versions of GNOME and libstdc++ they ship with are too old.
jps
Site Admin
 
Posts: 3067
Joined: Wed Mar 19, 2008 12:33 pm

Re: Installing ST2 on CentOS 5??

Postby gcaplan on Sat Feb 18, 2012 10:00 pm

Thanks for the info. Means I can't use ST for a bit, though, unless I can figure out a backport setup...
gcaplan
 
Posts: 2
Joined: Fri Feb 03, 2012 8:58 pm


Return to Technical Support

Who is online

Users browsing this forum: Google [Bot] and 12 guests